#include<iostream>
#include<string.h>
using namespace std;
void prebroj(char s[])
{
    int n, l, d;
    n = strlen(s);

    for (int i=0; i<n/2;i++) {
        l = i;
        d = n-l-1;
        while (l<d)
        {
            if (s[l] == s[d])
                break;
            else d--;
        }
        for (int j = d; j < n-l-1; j++)
        {
            swap(s[j], s[j + 1]);
        }
    }
}
int main()
{
    char s[200000], s1[200000];
    cin >> s;
    strcpy(s1, s);
    prebroj(s);
    int i = 0, poz1 = 0, poz2 = 0;
    while(s[i]!='\0')
    {
        if(s[i]!=s1[i])
        {
            if(poz1==0)
                poz1 = i;
            if(poz1!=0)
                poz2 = i;

        }
        i++;
    }
    cout << poz2 - poz1+1;
    return 0;
}